Authorization
bearerAuth AuthorizationBearer <token>
API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>
In: header
Path Parameters
app_slug*string
Query Parameters
app_id?integer
endpoint_id?integer
start_date?string
end_date?string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/webhooks/apps/string/analytics"{ "total_events": 0, "total_deliveries": 0, "successful_deliveries": 0, "failed_deliveries": 0, "filtered_deliveries": 0, "avg_response_time_ms": 0, "p50_response_time_ms": 0, "p95_response_time_ms": 0, "p99_response_time_ms": 0, "success_rate": 0, "top_events": [ { "event_name": "string", "count": 0 } ], "endpoint_performance": [ { "endpoint_id": "string", "endpoint_url": "string", "total_attempts": 0, "successful_attempts": 0, "failed_attempts": 0, "avg_response_time_ms": 0, "success_rate": 0 } ], "failure_reasons": [ { "reason": "string", "count": 0 } ]}{ "errors": [ { "message": "string", "code": 0 } ]}{ "errors": [ { "message": "string", "code": 0 } ]}{ "errors": [ { "message": "string", "code": 0 } ]}{ "errors": [ { "message": "string", "code": 0 } ]}